--- debian-bug.el.26.2-1	2005-10-31 02:47:24.000000000 +0100
+++ debian-bug.el	2005-11-03 14:02:15.000000000 +0100
@@ -1594,6 +1594,30 @@
           (error "`wget' failed"))))))
 
 ;;;###autoload
+(defun debian-bug-get-this-bug-as-file ()
+  "Read bug report number under point as a regular file."
+  (interactive)
+  (if (not (looking-at "[0-9]"))
+      (error "Not a number under point/mouse"))
+  (save-excursion
+    (skip-chars-backward "0123456789")
+    (if (looking-at "[0-9]+")
+        (let ((bug-number (match-string 0)))
+          (debian-bug-get-bug-as-file bug-number)))))
+
+;;;###autoload
+(defun debian-bug-get-this-bug-as-email ()
+  "Read bug report number under point via Email interface."
+  (interactive)
+  (if (not (looking-at "[0-9]"))
+      (error "Not a number under point/mouse"))
+  (save-excursion
+    (skip-chars-backward "0123456789")
+    (if (looking-at "[0-9]+")
+        (let ((bug-number (match-string 0)))
+          (debian-bug-get-bug-as-email bug-number)))))
+
+;;;###autoload
 (defun debian-bug-get-bug-as-file (&optional bug-number)
   "Read bug report #BUG-NUMBER as a regular file."
   (interactive (list (completing-read "Bug number to fetch: "
